Quantcast

How can I deploy mybatis with java 7?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

How can I deploy mybatis with java 7?

tracy5546
I forked the latest mybatis, it can only complier by java8.  
Like org.apache.ibatis.reflection.ParamNameUtil.
How can i package and deploy the whole code with java7?
I use mvn deploy -P java17, but it not work.

My other project use java 7, dependency my deploy mybatis ,and it's packageInfo is still java 8.

java.lang.UnsupportedClassVersionError: org/apache/ibatis/session/SqlSession : Unsupported major.minor version 52.0

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: How can I deploy mybatis with java 7?

Guy Rouillier-2
Is there a particular reason you need to stay with Java 7?  End of public support for that version was almost 2 years ago:


If you must stay with Java 7, then are there features of the latest MyBatis you require?  I see the following in the release notes for version 3.4.0:

"Out-of-the-box support new Date and Time API (JSR-310) classes added in Java 8."

I'm guessing that is where the Java 8 dependency comes from.  So, you should be able to use prior MyBatis releases (3.3.1 or earlier) with Java 7.

--
Guy Rouillier



------ Original Message ------
To: "mybatis-user" <[hidden email]>
Sent: 2/6/2017 9:44:40 PM
Subject: How can I deploy mybatis with java 7?

I forked the latest mybatis, it can only complier by java8.  
Like org.apache.ibatis.reflection.ParamNameUtil.
How can i package and deploy the whole code with java7?
I use mvn deploy -P java17, but it not work.

My other project use java 7, dependency my deploy mybatis ,and it's packageInfo is still java 8.

java.lang.UnsupportedClassVersionError: org/apache/ibatis/session/SqlSession : Unsupported major.minor version 52.0

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.



Avast logo

This email has been checked for viruses by Avast antivirus software.
www.avast.com


--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: How can I deploy mybatis with java 7?

tracy5546
Thank You , I now use the version Tag 3.4.2.

在 2017年2月7日星期二 UTC+8下午1:03:55,Guy Rouillier写道:
Is there a particular reason you need to stay with Java 7?  End of public support for that version was almost 2 years ago:

<a href="http://www.oracle.com/technetwork/java/eol-135779.html" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.oracle.com%2Ftechnetwork%2Fjava%2Feol-135779.html\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGIT42yNyo9YkA5oG3RzhJ0m2DhKA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.oracle.com%2Ftechnetwork%2Fjava%2Feol-135779.html\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGIT42yNyo9YkA5oG3RzhJ0m2DhKA&#39;;return true;">http://www.oracle.com/technetwork/java/eol-135779.html

If you must stay with Java 7, then are there features of the latest MyBatis you require?  I see the following in the release notes for version 3.4.0:

"Out-of-the-box support new Date and Time API (JSR-310) classes added in Java 8."

I'm guessing that is where the Java 8 dependency comes from.  So, you should be able to use prior MyBatis releases (3.3.1 or earlier) with Java 7.

--
Guy Rouillier



------ Original Message ------
From: <a href="javascript:" target="_blank" gdf-obfuscated-mailto="R3oLUaNmBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">trac...@...
To: "mybatis-user" <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="R3oLUaNmBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">mybati...@...>
Sent: 2/6/2017 9:44:40 PM
Subject: How can I deploy mybatis with java 7?

I forked the latest mybatis, it can only complier by java8.  
Like org.apache.ibatis.reflection.ParamNameUtil.
How can i package and deploy the whole code with java7?
I use mvn deploy -P java17, but it not work.

My other project use java 7, dependency my deploy mybatis ,and it's packageInfo is still java 8.

java.lang.UnsupportedClassVersionError: org/apache/ibatis/session/SqlSession : Unsupported major.minor version 52.0

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="R3oLUaNmBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">mybatis-user...@googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.



<a href="https://www.avast.com/antivirus" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avast.com%2Fantivirus\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFKLvnpDv0lgK5pU3VEfIU9tx2wrg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avast.com%2Fantivirus\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFKLvnpDv0lgK5pU3VEfIU9tx2wrg&#39;;return true;"> Avast logo

This email has been checked for viruses by Avast antivirus software.
<a href="https://www.avast.com/antivirus" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avast.com%2Fantivirus\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFKLvnpDv0lgK5pU3VEfIU9tx2wrg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avast.com%2Fantivirus\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFKLvnpDv0lgK5pU3VEfIU9tx2wrg&#39;;return true;">www.avast.com


--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: How can I deploy mybatis with java 7?

Iwao AVE!
In reply to this post by tracy5546
I use mvn deploy -P java17, but it not work.

'-P java17' should work, but you need to run the mvn command on Java 8.
If it still does not work, please post the error details (error message or stack trace).

Regards,
Iwao

2017-02-07 11:44 GMT+09:00 <[hidden email]>:
I forked the latest mybatis, it can only complier by java8.  
Like org.apache.ibatis.reflection.ParamNameUtil.
How can i package and deploy the whole code with java7?
I use mvn deploy -P java17, but it not work.

My other project use java 7, dependency my deploy mybatis ,and it's packageInfo is still java 8.

java.lang.UnsupportedClassVersionError: org/apache/ibatis/session/SqlSession : Unsupported major.minor version 52.0


--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Loading...